package com.chenyang.nse.bussiness.entity.orm.table.core.fieldscope;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_TABLE_FIELD"
)
public class TCoreTableField extends TBaseEntity {
   private String datasystem_id;
   private String tschemas;
   private String names;
   private String fields;
   private String columnChecked;
   private String create_user;
   private String create_date;

   public String getDatasystem_id() {
      return this.datasystem_id;
   }

   public void setDatasystem_id(String datasystem_id) {
      this.datasystem_id = datasystem_id;
   }

   public String getNames() {
      return this.names;
   }

   public void setNames(String names) {
      this.names = names;
   }

   public String getFields() {
      return this.fields;
   }

   public void setFields(String fields) {
      this.fields = fields;
   }

   public String getCreate_user() {
      return this.create_user;
   }

   public void setCreate_user(String create_user) {
      this.create_user = create_user;
   }

   public String getCreate_date() {
      return this.create_date;
   }

   public void setCreate_date(String create_date) {
      this.create_date = create_date;
   }

   public String getTschemas() {
      return this.tschemas;
   }

   public void setTschemas(String tschemas) {
      this.tschemas = tschemas;
   }

   public String getColumnChecked() {
      return this.columnChecked;
   }

   public void setColumnChecked(String columnChecked) {
      this.columnChecked = columnChecked;
   }
}
